FROM mcr.microsoft.com/dotnet/core/aspnet:2.2-stretch-slim AS base
WORKDIR /app
EXPOSE 80
EXPOSE 443

FROM mcr.microsoft.com/dotnet/core/sdk:2.2-stretch AS build
WORKDIR /src
COPY ["synonyms-demo/synonyms-demo.csproj", "synonyms-demo/"]
RUN dotnet restore "synonyms-demo/synonyms-demo.csproj"
COPY . .
WORKDIR "/src/synonyms-demo"
RUN dotnet build "synonyms-demo.csproj" -c Release -o /app

FROM build AS publish
RUN dotnet publish "synonyms-demo.csproj" -c Release -o /app

FROM base AS final
WORKDIR /app
COPY --from=publish /app .
ENTRYPOINT ["dotnet", "synonyms-demo.dll"]